> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment Proof

> Registers an already-uploaded file as a payment proof for a warrant (org file plus proof record).

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-payment-proof
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-payment-proof:
    post:
      operationId: createPaymentProof
      summary: Create Payment Proof
      description: >-
        Registers an already-uploaded file as a payment proof for a warrant (org
        file plus proof record).


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentProofRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePaymentProofResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreatePaymentProofRequest:
      type: object
      properties:
        fileKey:
          type: string
        warrantID:
          type: string
      required:
        - fileKey
        - warrantID
    CreatePaymentProofResponse:
      type: object
      properties:
        paymentProofID:
          type: string
        roleInOrgID:
          type: string
        investorEntityID:
          type:
            - string
            - 'null'
        fileID:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
        warrantID:
          type:
            - string
            - 'null'
        file:
          type: object
          properties:
            fileID:
              type: string
            orgID:
              type: string
            fileName:
              type: string
            mimeType:
              type: string
            fileKey:
              type: string
            fileBucket:
              type: string
            fileUploaded:
              type:
                - string
                - 'null'
            fileSizeInBytes:
              type:
                - string
                - 'null'
            createdByUserID:
              type:
                - string
                - 'null'
            createdAt:
              type: string
            updatedAt:
              type: string
            legacyMigratedAt:
              type:
                - string
                - 'null'
            legacyModelID:
              type:
                - integer
                - 'null'
            type:
              type: string
            fileURL:
              type: string
            fileDownloadURL:
              type: string
          required:
            - fileID
            - orgID
            - fileName
            - mimeType
            - fileKey
            - fileBucket
            - fileUploaded
            - fileSizeInBytes
            - createdByUserID
            - createdAt
            - updatedAt
            - legacyMigratedAt
            - legacyModelID
            - type
            - fileURL
            - fileDownloadURL
      required:
        - paymentProofID
        - roleInOrgID
        - investorEntityID
        - fileID
        - createdAt
        - updatedAt
        - warrantID
        - file
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
